package com.sun.org.apache.xml.internal.serializer;

import org.xml.sax.Attributes;

public interface SerializerTrace
{
    public static final int EVENTTYPE_STARTDOCUMENT = 1;
    public static final int EVENTTYPE_ENDDOCUMENT = 2;
    public static final int EVENTTYPE_STARTELEMENT = 3;
    public static final int EVENTTYPE_ENDELEMENT = 4;
    public static final int EVENTTYPE_CHARACTERS = 5;
    public static final int EVENTTYPE_IGNORABLEWHITESPACE = 6;
    public static final int EVENTTYPE_PI = 7;
    public static final int EVENTTYPE_COMMENT = 8;
    public static final int EVENTTYPE_ENTITYREF = 9;
    public static final int EVENTTYPE_CDATA = 10;
    public static final int EVENTTYPE_OUTPUT_PSEUDO_CHARACTERS = 11;
    public static final int EVENTTYPE_OUTPUT_CHARACTERS = 12;
    
    public abstract boolean hasTraceListeners();
    
    public abstract void fireGenerateEvent(int p0);
    
    public abstract void fireGenerateEvent(int p0, String p1, Attributes p2);
    
    public abstract void fireGenerateEvent(int p0, char[] p1, int p2, int p3);
    
    public abstract void fireGenerateEvent(int p0, String p1, String p2);
    
    public abstract void fireGenerateEvent(int p0, String p1);
}
